Page MenuHomePhabricator

"Not logged in" is not a personal tool and should not be among the personal tool links
Closed, ResolvedPublic

Description

I6f44e3e5d (https://gerrit.wikimedia.org/r/#/c/239649/) introduces an improved personal toolbar for logged-out users.

The patch adds a text to the list of links in the Personal Tools. I would argue that "Not logged in" is not a personal tool, but some kind of status information. So this patch mixes things that should not be mixed.

Instead it would have been better if it had been left to the actual skin to signal the "Not logged in" state to the user.

As it is this patch introduces unwanted text and breaks styling on skins that expect actual links in the Personal Tools.

See also T112724

Details

Related Gerrit Patches:
mediawiki/core : REL1_27Remove "Not logged in" from the personal URLs array
mediawiki/skins/MonoBook : REL1_27Fix order of univ lang selector and "not logged in" message
mediawiki/skins/Vector : REL1_27Fix order of univ lang selector and "not logged in" message
mediawiki/skins/MonoBook : REL1_27Show "Not logged in" message
mediawiki/skins/Vector : REL1_27Show "Not logged in" message
mediawiki/skins/MonoBook : masterShow "Not logged in" message
mediawiki/skins/Vector : masterShow "Not logged in" message
mediawiki/core : masterRemove "Not logged in" from the personal URLs array

Event Timeline

Foxtrott created this task.Feb 22 2016, 9:51 PM
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptFeb 22 2016, 9:51 PM
Foxtrott updated the task description. (Show Details)Feb 22 2016, 9:52 PM

Change 273104 had a related patch set uploaded (by Foxtrott):
Show "Not logged in" message

https://gerrit.wikimedia.org/r/273104

Change 273105 had a related patch set uploaded (by Foxtrott):
Show "Not logged in" message

https://gerrit.wikimedia.org/r/273105

Change 273108 had a related patch set uploaded (by Foxtrott):
Remove "Not logged in" from the personal URLs array

https://gerrit.wikimedia.org/r/273108

Foxtrott updated the task description. (Show Details)Feb 25 2016, 10:24 PM
Jdlrobson closed this task as Resolved.Mar 12 2016, 2:53 AM
Jdlrobson claimed this task.
Jdlrobson added a subscriber: Jdlrobson.

It's now a link

Change 273104 abandoned by Foxtrott:
Show "Not logged in" message

Reason:
Not needed anymore.

https://gerrit.wikimedia.org/r/273104

Jdlrobson reopened this task as Open.Mar 17 2016, 8:05 PM

Change 273104 restored by Jdlrobson:
Show "Not logged in" message

https://gerrit.wikimedia.org/r/273104

Change 273108 merged by jenkins-bot:
Remove "Not logged in" from the personal URLs array

https://gerrit.wikimedia.org/r/273108

Change 273105 merged by jenkins-bot:
Show "Not logged in" message

https://gerrit.wikimedia.org/r/273105

Change 273104 merged by jenkins-bot:
Show "Not logged in" message

https://gerrit.wikimedia.org/r/273104

Jdlrobson closed this task as Resolved.May 17 2016, 8:25 PM

It's now been moved out.

matmarex added a subscriber: matmarex.

I am backporting the following patches to MediaWiki 1.27:

The effect together is that these two skins display the same as they did before, but other skins don't have to deal with the non-link in personal tools.

Change 289690 had a related patch set uploaded (by Bartosz Dziewoński):
Remove "Not logged in" from the personal URLs array

https://gerrit.wikimedia.org/r/289690

Change 289690 merged by jenkins-bot:
Remove "Not logged in" from the personal URLs array

https://gerrit.wikimedia.org/r/289690

Change 289692 had a related patch set uploaded (by Bartosz Dziewoński):
Show "Not logged in" message

https://gerrit.wikimedia.org/r/289692

Change 289693 had a related patch set uploaded (by Bartosz Dziewoński):
Show "Not logged in" message

https://gerrit.wikimedia.org/r/289693

Change 289692 merged by jenkins-bot:
Show "Not logged in" message

https://gerrit.wikimedia.org/r/289692

Change 289693 merged by jenkins-bot:
Show "Not logged in" message

https://gerrit.wikimedia.org/r/289693

Change 289694 had a related patch set uploaded (by Bartosz Dziewoński):
Fix order of univ lang selector and "not logged in" message

https://gerrit.wikimedia.org/r/289694

Change 289695 had a related patch set uploaded (by Bartosz Dziewoński):
Fix order of univ lang selector and "not logged in" message

https://gerrit.wikimedia.org/r/289695

Change 289694 merged by jenkins-bot:
Fix order of univ lang selector and "not logged in" message

https://gerrit.wikimedia.org/r/289694

Change 289695 merged by jenkins-bot:
Fix order of univ lang selector and "not logged in" message

https://gerrit.wikimedia.org/r/289695

matmarex reassigned this task from Jdlrobson to Foxtrott.May 19 2016, 5:06 PM
matmarex removed a project: Patch-For-Review.

(All done.)